# azure.mgmt.labservices package

## Submodules

- azure.mgmt.labservices.models module
- azure.mgmt.labservices.operations module

## Module contents

class `azure.mgmt.labservices.``ManagedLabsClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Managed Labs Client.

  Variables:

  - config (ManagedLabsClientConfiguration) – Configuration for client.
  - provider_operations (azure.mgmt.labservices.operations.ProviderOperations) – ProviderOperations operations
  - global_users (azure.mgmt.labservices.operations.GlobalUsersOperations) – GlobalUsers operations
  - lab_accounts (azure.mgmt.labservices.operations.LabAccountsOperations) – LabAccounts operations
  - operations (azure.mgmt.labservices.operations.Operations) – Operations operations
  - gallery_images (azure.mgmt.labservices.operations.GalleryImagesOperations) – GalleryImages operations
  - labs (azure.mgmt.labservices.operations.LabsOperations) – Labs operations
  - environment_settings (azure.mgmt.labservices.operations.EnvironmentSettingsOperations) – EnvironmentSettings operations
  - environments (azure.mgmt.labservices.operations.EnvironmentsOperations) – Environments operations
  - users (azure.mgmt.labservices.operations.UsersOperations) – Users operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The subscription ID.
  - base_url (str) – Service URL